Skip to main content

combinerawtransaction

POST

Combines multiple partially signed transactions into one transaction and returns it as a serialized, hex-encoded string.The transaction becomes fully signed when all required signatures are supplied, and remains partially signed otherwise.

📘 The transactions to combine must all have the same inputs and outputs.

param[0]
txsarrayrequired
The hex strings of the partially signed transactions to combine.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "combinerawtransaction",
"params": [
[
"02000000013ba3edfd7a7b12b27ac72c3e67768f617fc81bc3888a51323a9fb8aa4b1e5e4a000000006a47",
"02000000013ba3edfd7a7b12b27ac72c3e67768f617fc81bc3888a51323a9fb8aa4b1e5e4a00000000b500"
]
]
}'